# Uses of Interface
org.mariadb.jdbc.internal.com.send.parameters.ParameterHolder

Packages that use ParameterHolder
Package
Description
org.mariadb.jdbc
org.mariadb.jdbc.internal.com.read.dao
org.mariadb.jdbc.internal.com.send
org.mariadb.jdbc.internal.com.send.parameters
org.mariadb.jdbc.internal.protocol
org.mariadb.jdbc.internal.util

## Uses of ParameterHolder in org.mariadb.jdbc

Methods in org.mariadb.jdbc with parameters of type ParameterHolder
Modifier and Type
Method
Description
`abstract void`
BasePrepareStatement.`setParameter(int parameterIndex, ParameterHolder holder)`
`void`
ClientSidePreparedStatement.`setParameter(int parameterIndex, ParameterHolder holder)`
Set parameter.
`void`
MariaDbFunctionStatement.`setParameter(int parameterIndex, ParameterHolder holder)`
`void`
MariaDbProcedureStatement.`setParameter(int parameterIndex, ParameterHolder holder)`
`void`
ServerSidePreparedStatement.`setParameter(int parameterIndex, ParameterHolder holder)`

## Uses of ParameterHolder in org.mariadb.jdbc.internal.com.read.dao

Methods in org.mariadb.jdbc.internal.com.read.dao that return ParameterHolder
Modifier and Type
Method
Description
`ParameterHolder[]`
Results.`getParameters()`
Constructors in org.mariadb.jdbc.internal.com.read.dao with parameters of type ParameterHolder
Modifier
Constructor
Description
``
`Results(MariaDbStatement statement, int fetchSize, boolean batch, int expectedSize, boolean binaryFormat, int resultSetScrollType, int resultSetConcurrency, int autoGeneratedKeys, int autoIncrement, String sql, ParameterHolder[] parameters)`
Default constructor.

## Uses of ParameterHolder in org.mariadb.jdbc.internal.com.send

Methods in org.mariadb.jdbc.internal.com.send with parameters of type ParameterHolder
Modifier and Type
Method
Description
`static void`
ComStmtExecute.`send(PacketOutputStream pos, int statementId, ParameterHolder[] parameters, int parameterCount, ColumnType[] parameterTypeHeader, byte cursorFlag)`
Send a prepare statement binary stream.
`static void`
ComQuery.`sendSubCmd(PacketOutputStream out, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters, int queryTimeout)`
Client-side PrepareStatement.execute() packet send.
`static void`
ComStmtExecute.`writeCmd(int statementId, ParameterHolder[] parameters, int parameterCount, ColumnType[] parameterTypeHeader, PacketOutputStream pos, byte cursorFlag)`
Write COM_STMT_EXECUTE sub-command to output buffer.

## Uses of ParameterHolder in org.mariadb.jdbc.internal.com.send.parameters

Classes in org.mariadb.jdbc.internal.com.send.parameters that implement ParameterHolder
Modifier and Type
Class
Description
`class`
`BigDecimalParameter`
`class`
`BooleanParameter`
`class`
`ByteArrayParameter`
`class`
`ByteParameter`
`class`
`DateParameter`
`class`
`DefaultParameter`
`class`
`DoubleParameter`
`class`
`FloatParameter`
`class`
`IntParameter`
`class`
`LocalTimeParameter`
`class`
`LongParameter`
`class`
`NullParameter`
`class`
`OffsetTimeParameter`
`class`
`ReaderParameter`
`class`
`SerializableParameter`
`class`
`ShortParameter`
`class`
`StreamParameter`
`class`
`StringParameter`
`class`
`TimeParameter`
`class`
`TimestampParameter`
`class`
`ZonedDateTimeParameter`
server doesn't support temporal with timezone (MDEV-10018) for the moment.

## Uses of ParameterHolder in org.mariadb.jdbc.internal.protocol

Methods in org.mariadb.jdbc.internal.protocol with parameters of type ParameterHolder
Modifier and Type
Method
Description
`void`
AbstractQueryProtocol.`executePreparedQuery(boolean mustExecuteOnMaster, ServerPrepareResult serverPrepareResult, Results results, ParameterHolder[] parameters)`
Execute a query that is already prepared.
`void`
Protocol.`executePreparedQuery(boolean mustExecuteOnMaster, ServerPrepareResult serverPrepareResult, Results results, ParameterHolder[] parameters)`
`void`
AbstractQueryProtocol.`executeQuery(boolean mustExecuteOnMaster, Results results, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters)`
Execute a unique clientPrepareQuery.
`void`
AbstractQueryProtocol.`executeQuery(boolean mustExecuteOnMaster, Results results, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters, int queryTimeout)`
Execute a unique clientPrepareQuery.
`void`
Protocol.`executeQuery(boolean mustExecuteOnMaster, Results results, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters)`
`void`
Protocol.`executeQuery(boolean mustExecuteOnMaster, Results results, ClientPrepareResult clientPrepareResult, ParameterHolder[] parameters, int timeout)`

## Uses of ParameterHolder in org.mariadb.jdbc.internal.util

Methods in org.mariadb.jdbc.internal.util with parameters of type ParameterHolder
Modifier and Type
Method
Description
`static String`
LogQueryTool.`queryWithParams(PrepareResult serverPrepareResult, ParameterHolder[] parameters, Options options)`
Return exception message with query.
`static boolean`
Utils.`validateFileName(String sql, ParameterHolder[] parameters, String fileName)`
Validate that file name correspond to send query.